/**
 * 非标接口模块
 */
import { AxiosResponse } from "axios";
/**
 * 非标接口配置
 */
export declare const config: {
    des3: {
        key: string;
        iv: string;
    };
} & import("./Config").NonStandardApiConfig;
/**
 * 非标接口请求基类
 */
export declare class ApiRequestBase {
    parkId: any;
}
/**
 * 非标接口加解密工具
 */
export declare class Des3Utils {
    /**
     * 解密
     */
    static decrypt(data: any, key: any, iv: any): string;
    /**
     * 加密
     */
    static encrypt(data: any, key: any, iv: any): string;
}
/**
 * 非标接口装饰器
 *
 * 自动解密，异常捕获，日志记录，发生异常自动返回异常报文等
 * @param description 服务描述
 * @returns
 */
export declare function Service(description?: string): MethodDecorator;
/**
 * 生成遵循非标加解密规则的axios实例
 *
 * 第三方按照非标的接口文档开发接口，那么非标对接的时候可以使用该方法生成客户端axios实例
 */
export declare function generateAxiosInstance(axioConfig: {
    baseUrl: string;
    timeout?: number;
    axiosErrorHandler?: (error: any) => any;
    axiosResponseInterceptHandler?: (response: AxiosResponse<any>) => any;
}, des3Config: {
    key: string;
    iv: string;
}): import("axios").AxiosInstance;
/**
 * 非标接口对请求参数加密
 */
export declare function encrypt(data: any, key: any, iv: any): any;
/**
 * 非标接口对请求参数解密
 */
export declare function decrypt(data: any, key: any, iv: any): void;
/**
 * 随机生成非标接口3DES加解密24位key
 */
export declare function generateKey(): Promise<string>;
